[Link] Checkout Page Request

This is a guide for the Checkout Page request.

  • The client must receive the secret key and Channel_no from SentBiz in advance.
  • sentbiz checkout page url: https://checkout.sentbiz.kr/o
  • Example Request
    • https://checkout.sentbiz.kr/o?channel_no=channel0021&timestamp=1765534763877&signature=hmac&order_id=INV001&order_item=Test%20Order&total_amount=10.00&success_callback_url=https%3A%2F%2Ftest.com%2Fsuccess&failed_callback_url=https%3A%2F%2Ftest.com%2Ffail&buyer_name=Demo%20Buyer%20Test&[email protected]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

UNIX Timestamp

string
required

Channel number provided by SentBiz in advance

string
required

Client order ID

string
required

Client order item name

number
required

Order item amount

  • currently only USD is supported
  • up to 2 decimal places
string
required

Client callback URL to be called on successful payment

string
required

Client callback URL to be called on failed payment

string
required

HMAC signature value generated from the predefined request parameters using a shared secret key agreed with SentBiz

string

Buyer name

string

Buyer email

Responses
200

On successful payment, redirects to the success_callback_url included in the request

500

On failed payment, redirects to the failed_callback_url included in the request

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!